function [ max_R,min_R,max_L,min_L] = Ankle_Power(Markers)

b = strfind(Markers.Labels,'LAnklePower'); %vyhledani v Labels cisla sloupce, kde se nachazi pozadovane hodnoty
for i=1:length(b) 
    if b{i}==1
        l=i*3   %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty (pozdeji hledame v RawData, kde jsou vzdy 3 sloupce-x,y,z) 
    end
end

d=length(Markers.RawData(:,1));%spocitani delky sloupce
max_L = max(Markers.RawData(1:d/2,l));%vyhledani prvniho maxima
min_L = min(Markers.RawData(d/2:d,l)); %vyhledani druheho maxima           
% leva=[Markers.RawData(:,l)]

a = strfind(Markers.Labels,'RAnklePower'); %vyhledani v Labels cisla sloupce, kde se nachazi pozadovane hodnoty
for i=1:length(a) 
    if a{i}==1
        r=i*3   %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty (pozdeji hledame v RawData, kde jsou vzdy 3 sloupce-x,y,z) 
    end        
end


max_R = max(Markers.RawData(1:d/2,r));%vyhledani prvniho maxima
min_R = min(Markers.RawData(d/2:d,r)); %vyhledani druheho maxima      
% prava=[Markers.RawData(:,r)]
% vykresleni grafu, popsani os
figure

plot(Markers.RawData(:,l),'r')
hold on
plot(Markers.RawData(:,r),'g')
title('Ankle Power')
xlabel('Samples [N]')
ylabel('Power [W/kg]')
legend('Left ankle power', 'Right ankle power')
% plot(Markers.RawData(:,r))
% title('Right Ankle Power')
% xlabel('Samples [N]')
% ylabel('Power [W/kg]')
w=[max_L,min_L]
z=[max_R,min_R]


end

